Summary:	AppArmor profiles
Summary(pl.UTF-8):	Profile AppArmor
Name:		apparmor-profiles
Version:	2.9.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/apparmor/2.9/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	daaeb859452f793abfdafd33f88d3e90
URL:		http://apparmor.wiki.kernel.org/
Requires:	apparmor-parser
Provides:	subdomain-profiles
Obsoletes:	subdomain-profiles
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		extras_dir	%{_datadir}/apparmor/extra-profiles
%define		profiles_dir	%{_sysconfdir}/apparmor.d

%description
Base AppArmor profiles (aka security policy). AppArmor is a file
mandatory access control mechanism. AppArmor confines processes to the
resources allowed by the systems administrator and can constrain the
scope of potential security vulnerabilities. This package is part of a
suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
Podstawowe profile AppArmor (zwane także polityką bezpieczeństwa).
AppArmor to mechanizm obowiązkowej kontroli dostępu do plików.
AppArmor ogranicza procesy do zasobów udostępnionych przez
administratora systemu i może ograniczać zakres potencjalnych luk w
bezpieczeństwie. Ten pakiet jest częścią zestawu narzędzi zwanych
SubDomain.

%package abstractions
Summary:	Abstraction AppArmor files
Summary(pl.UTF-8):	Pliki abstrakcji dla AppArmor
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description abstractions
Abstraction AppArmor files.

%description abstractions -l pl.UTF-8
Pliki abstrakcji dla AppArmor.

%package examples
Summary:	Example AppArmor profiles
Summary(pl.UTF-8):	Przykładowe profile AppArmor
Group:		Base
Requires:	%{name}-abstractions = %{epoch}:%{version}-%{release}

%description examples
Example AppArmor profiles.

%description examples -l pl.UTF-8
Przykładowe profile AppArmor.

%prep
%setup -q -n apparmor-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/apparmor.d/cache

%{__make} -C profiles install \
	DESTDIR=$RPM_BUILD_ROOT \
	EXTRASDIR=$RPM_BUILD_ROOT%{extras_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apparmor.d
%dir %{_sysconfdir}/apparmor.d/abstractions
%dir %{_sysconfdir}/apparmor.d/cache
%dir %{_sysconfdir}/apparmor.d/local
%dir %{_sysconfdir}/apparmor.d/tunables
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/alias
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/apparmorfs
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/dovecot
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/global
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/home
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/kernelvars
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/multiarch
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/ntpd
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/proc
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/securityfs
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/sys
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/xdg-user-dirs
%dir %{_sysconfdir}/apparmor.d/tunables/home.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/home.d/site.local
%dir %{_sysconfdir}/apparmor.d/tunables/multiarch.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/multiarch.d/site.local
%dir %{_sysconfdir}/apparmor.d/tunables/xdg-user-dirs.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/xdg-user-dirs.d/site.local

%files abstractions
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/X
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apache2-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/aspell
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/audio
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/authentication
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/base
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/bash
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/consoles
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/cups-client
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-accessibility
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-accessibility-strict
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-session
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-session-strict
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-strict
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dconf
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dovecot-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/enchant
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/fonts
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/freedesktop.org
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/gnome
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/gnupg
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ibus
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/kde
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/kerberosclient
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/launchpad-integration
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ldapclient
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/likewise
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/mdns
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/mysql
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nameservice
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nis
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nvidia
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/openssl
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/orbit2
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/p11-kit
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/perl
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/php5
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/postfix-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/private-files
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/private-files-strict
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/python
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ruby
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/samba
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/smbpass
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ssl_certs
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ssl_keys
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/svn-repositories
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-bittorrent-clients
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-console-browsers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-console-email
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-email
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-feed-readers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-gnome-terminal
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-helpers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-konsole
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-media-players
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-unity7-base
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-unity7-launcher
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-unity7-messaging
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-xterm
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-download
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-mail
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-manpages
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-tmp
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-write
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/video
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/web-data
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/winbind
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/wutmp
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/xad
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/xdg-desktop
%dir %{profiles_dir}/abstractions/apparmor_api
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apparmor_api/change_profile
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apparmor_api/examine
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apparmor_api/find_mountpoint
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apparmor_api/introspect
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apparmor_api/is_enabled
%dir %{profiles_dir}/abstractions/ubuntu-browsers.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/java
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/kde
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/mailto
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/multimedia
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/plugins-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/productivity
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/text-editors
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/ubuntu-integration
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/ubuntu-integration-xul
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/user-files

%files examples
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/bin.ping
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/sbin.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/usr.lib.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/usr.sbin.*
%dir %{profiles_dir}/apache2.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/apache2.d/phpsysinfo
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/README
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/bin.ping
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/sbin.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/usr.lib.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/usr.sbin.*
# XXX: top dir shared with apparmor-utils
%dir %{_datadir}/apparmor
%dir %{extras_dir}
%{extras_dir}/README
%{extras_dir}/bin.netstat
%{extras_dir}/etc.cron.daily.*
%{extras_dir}/sbin.*
%{extras_dir}/usr.NX.bin.nxclient
%{extras_dir}/usr.bin.*
%{extras_dir}/usr.lib.*
%{extras_dir}/usr.lib64.GConf.2.gconfd-2
%{extras_dir}/usr.sbin.*
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-profiles.git;a=log;h=master

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> ab3c0ae
- updated to 2.9.0

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> dc130dd
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4363226
- up to 2.8.2

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aba4c3
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 51b21b5
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> d3f0167
- GPL version
- no config() for dirs

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fb89d31
- up to 2.7.2

* Mon Dec 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9522866
- rel 2; provide dir for caching

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2daf18d
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bebc130
- up to 2.6.0

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ba38ed4
- up to 2.5

* Fri Jun 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 06e24ca
- up to 2.3.1245

* Tue Mar 11 2008 hawk <hawk@pld-linux.org> a76ce60
- strict internal deps
- I don't remember anyone complaining about this package so release 1

* Fri Aug 31 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 0cbae02
- up to 2.0.2.742

* Sat Apr 14 2007 zbyniu <zbyniu@pld-linux.org> 1075490
- up to 2.0.2-563; epoch 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cd37482
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2e804d9
- converted to UTF-8

* Tue Dec 12 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f128391
- rel 0.3; extras also moved to examples

* Tue Dec 12 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d5ebd83
- abstractions and examples subpackages

* Fri Dec 01 2006 zbyniu <zbyniu@pld-linux.org> b75cba1
- up to september snapshot

